Index: uspace/lib/c/generic/vbd.c
===================================================================
--- uspace/lib/c/generic/vbd.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/lib/c/generic/vbd.c	(revision 3b47db687606b55f2694aaa5c4c6db563b5b61eb)
@@ -44,12 +44,12 @@
 #include <vbd.h>
 
-static int vbd_get_ids_internal(vbd_t *, sysarg_t, sysarg_t, sysarg_t **,
+static errno_t vbd_get_ids_internal(vbd_t *, sysarg_t, sysarg_t, sysarg_t **,
     size_t *);
 
-int vbd_create(vbd_t **rvbd)
+errno_t vbd_create(vbd_t **rvbd)
 {
 	vbd_t *vbd;
 	service_id_t vbd_svcid;
-	int rc;
+	errno_t rc;
 
 	vbd = calloc(1, sizeof(vbd_t));
@@ -97,5 +97,5 @@
  * @return EOK on success or an error code
  */
-int vbd_get_disks(vbd_t *vbd, service_id_t **data, size_t *count)
+errno_t vbd_get_disks(vbd_t *vbd, service_id_t **data, size_t *count)
 {
 	return vbd_get_ids_internal(vbd, VBD_GET_DISKS, 0, data, count);
@@ -103,31 +103,31 @@
 
 /** Get disk information. */
-int vbd_disk_info(vbd_t *vbd, service_id_t sid, vbd_disk_info_t *vinfo)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vbd_disk_info(vbd_t *vbd, service_id_t sid, vbd_disk_info_t *vinfo)
+{
+	async_exch_t *exch;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vbd->sess);
 	aid_t req = async_send_1(exch, VBD_DISK_INFO, sid, &answer);
-	int rc = async_data_read_start(exch, vinfo, sizeof(vbd_disk_info_t));
-	async_exchange_end(exch);
-
-	if (rc != EOK) {
-		async_forget(req);
-		return EIO;
-	}
-
-	async_wait_for(req, &retval);
-	if (retval != EOK)
-		return EIO;
-
-	return EOK;
-}
-
-int vbd_label_create(vbd_t *vbd, service_id_t sid, label_type_t ltype)
-{
-	async_exch_t *exch;
-	int retval;
+	errno_t rc = async_data_read_start(exch, vinfo, sizeof(vbd_disk_info_t));
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return EIO;
+	}
+
+	async_wait_for(req, &retval);
+	if (retval != EOK)
+		return EIO;
+
+	return EOK;
+}
+
+errno_t vbd_label_create(vbd_t *vbd, service_id_t sid, label_type_t ltype)
+{
+	async_exch_t *exch;
+	errno_t retval;
 
 	exch = async_exchange_begin(vbd->sess);
@@ -141,8 +141,8 @@
 }
 
-int vbd_label_delete(vbd_t *vbd, service_id_t sid)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vbd_label_delete(vbd_t *vbd, service_id_t sid)
+{
+	async_exch_t *exch;
+	errno_t retval;
 
 	exch = async_exchange_begin(vbd->sess);
@@ -167,5 +167,5 @@
  * @return EOK on success or an error code.
  */
-static int vbd_get_ids_once(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
+static errno_t vbd_get_ids_once(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
     sysarg_t *id_buf, size_t buf_size, size_t *act_size)
 {
@@ -174,5 +174,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, method, arg1, &answer);
-	int rc = async_data_read_start(exch, id_buf, buf_size);
+	errno_t rc = async_data_read_start(exch, id_buf, buf_size);
 
 	async_exchange_end(exch);
@@ -183,5 +183,5 @@
 	}
 
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 
@@ -205,5 +205,5 @@
  * @return       EOK on success or an error code
  */
-static int vbd_get_ids_internal(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
+static errno_t vbd_get_ids_internal(vbd_t *vbd, sysarg_t method, sysarg_t arg1,
     sysarg_t **data, size_t *count)
 {
@@ -212,5 +212,5 @@
 
 	size_t act_size = 0;
-	int rc = vbd_get_ids_once(vbd, method, arg1, NULL, 0, &act_size);
+	errno_t rc = vbd_get_ids_once(vbd, method, arg1, NULL, 0, &act_size);
 	if (rc != EOK)
 		return rc;
@@ -249,5 +249,5 @@
  * @return EOK on success or an error code
  */
-int vbd_label_get_parts(vbd_t *vbd, service_id_t disk,
+errno_t vbd_label_get_parts(vbd_t *vbd, service_id_t disk,
     service_id_t **data, size_t *count)
 {
@@ -256,37 +256,37 @@
 }
 
-int vbd_part_get_info(vbd_t *vbd, vbd_part_id_t part, vbd_part_info_t *pinfo)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vbd_part_get_info(vbd_t *vbd, vbd_part_id_t part, vbd_part_info_t *pinfo)
+{
+	async_exch_t *exch;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vbd->sess);
 	aid_t req = async_send_1(exch, VBD_PART_GET_INFO, part, &answer);
-	int rc = async_data_read_start(exch, pinfo, sizeof(vbd_part_info_t));
-	async_exchange_end(exch);
-
-	if (rc != EOK) {
-		async_forget(req);
-		return EIO;
-	}
-
-	async_wait_for(req, &retval);
-	if (retval != EOK)
-		return EIO;
-
-	return EOK;
-}
-
-int vbd_part_create(vbd_t *vbd, service_id_t disk, vbd_part_spec_t *pspec,
+	errno_t rc = async_data_read_start(exch, pinfo, sizeof(vbd_part_info_t));
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return EIO;
+	}
+
+	async_wait_for(req, &retval);
+	if (retval != EOK)
+		return EIO;
+
+	return EOK;
+}
+
+errno_t vbd_part_create(vbd_t *vbd, service_id_t disk, vbd_part_spec_t *pspec,
     vbd_part_id_t *rpart)
 {
 	async_exch_t *exch;
-	int retval;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vbd->sess);
 	aid_t req = async_send_1(exch, VBD_PART_CREATE, disk, &answer);
-	int rc = async_data_write_start(exch, pspec, sizeof(vbd_part_spec_t));
+	errno_t rc = async_data_write_start(exch, pspec, sizeof(vbd_part_spec_t));
 	async_exchange_end(exch);
 
@@ -305,8 +305,8 @@
 }
 
-int vbd_part_delete(vbd_t *vbd, vbd_part_id_t part)
-{
-	async_exch_t *exch;
-	int retval;
+errno_t vbd_part_delete(vbd_t *vbd, vbd_part_id_t part)
+{
+	async_exch_t *exch;
+	errno_t retval;
 
 	exch = async_exchange_begin(vbd->sess);
@@ -334,14 +334,14 @@
  * @return EOK on success or an error code
  */
-int vbd_suggest_ptype(vbd_t *vbd, service_id_t disk, label_pcnt_t pcnt,
+errno_t vbd_suggest_ptype(vbd_t *vbd, service_id_t disk, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
 	async_exch_t *exch;
-	int retval;
+	errno_t retval;
 	ipc_call_t answer;
 
 	exch = async_exchange_begin(vbd->sess);
 	aid_t req = async_send_2(exch, VBD_SUGGEST_PTYPE, disk, pcnt, &answer);
-	int rc = async_data_read_start(exch, ptype, sizeof(label_ptype_t));
+	errno_t rc = async_data_read_start(exch, ptype, sizeof(label_ptype_t));
 	async_exchange_end(exch);
 
